## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:     gmobile
Version:  0.2.0
Release:  %autorelease
Summary:  Functions useful in mobile related, glib based projects
License:  LGPL-2.1-or-later AND GPL-3.0-or-later
URL:      https://gitlab.gnome.org/World/Phosh/gmobile
Source0:  %{url}/-/archive/v%{version}/gmobile-v%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(glib-2.0) >= 2.66
BuildRequires:  pkgconfig(gio-2.0) >= 2.66
BuildRequires:  pkgconfig(json-glib-1.0) >= 1.6.2
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  marshalparser
BuildRequires:  systemd-rpm-macros

Requires:  systemd-udev

%description
gmobile carries some helpers for glib based environments on mobile devices.

%package devel
Summary:   Development headers for the gmobile library.
Requires:  %{name}%{?_isa} = %{version}-%{release}

%description devel
Development headers for the gmobile library.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%meson -Dexamples=false
%meson_build

%install
%meson_install
rm %{buildroot}%{_libdir}/libgmobile.a

%check
%meson_test

%files
%doc README.md
%license COPYING
%{_libdir}/libgmobile.so.0
%{_libdir}/girepository-1.0
%{_udevrulesdir}/*.rules
%{_udevhwdbdir}/*.hwdb

%files devel
%{_includedir}/gmobile
%{_libdir}/libgmobile.so
%{_libdir}/pkgconfig/gmobile.pc
%{_datadir}/gir-1.0

%changelog
## START: Generated by rpmautospec
* Tue May 21 2024 Tomi Lähteenmäki <lihis@lihis.net> - 0.2.0-2
- Fix license. Remove patch

* Mon May 20 2024 Tomi Lähteenmäki <lihis@lihis.net> - 0.2.0-1
- Upstream release 0.2.0
## END: Generated by rpmautospec
